Name:           audtty
Version:        0.1.11
Release:        3%{?dist}
Summary:        A ncurses based terminal client for the Audacious

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://audtty.alioth.debian.org/
Source0:        http://www.code-monkeys.org/audtty/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  audacious-devel
BuildRequires:  dbus-devel
BuildRequires:  ncurses-devel

Requires:       audacious

%description
audtty is a simple application for controlling Audacious from the command
line.  It is designed to make common, simple tasks fast and easy to do.  It
is operated using arrow keys and standard Audacious keys, to make it easy and
intuitive to learn.


%prep
%setup -q


%build
aclocal
autoconf
%configure
make %{?_smp_mflags} 
gzip -cn9 %{name}.1 > %{name}.1.gz && \
touch -r %{name}.1 %{name}.1.gz


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
install -Dp -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Sat Jul 25 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.11-3
- Fixed changelog

* Sun Jul 19 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.11-2
- Added audtty.conf
- Added audtty.1 manpage
- Added missing Requires: audacious
- Changed to auto* stuff instead of autogen.sh 

* Thu Jul 14 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.11-1
- Initial package for Fedora
